:root {
    --primaryColor: #02381d;
    --primaryContrast: #fff;
    --secondaryColor: #248f27;
    --secondaryContrast: #fff;
}

:root * {
    box-sizing: border-box;
}

body {
    margin: 0;
    padding: 0;
    font-family: 'Nunito', sans-serif;

}

h1, h2, h3, h4, h5, h6 {
    font-family: 'Prompt', sans-serif;
}

img, video {
    max-width: 100%;
}

.container {
    max-width: 1280px;
    margin-inline: auto;
}

/*header css*/

header {
    display: flex;
    flex-wrap: wrap-reverse;
    position: fixed;
    width: 100%;
    z-index: 9999;
    justify-content: space-around;
    background-color: #ffffff01;
}

header.scrolled {
    background-color: #fff;
    box-shadow: 0 2px 12px #83838370;
}

header .navbarLogo {
    width: 100%;
    max-width: 200px;
    margin: 1rem;
}

.restNavbar {
    flex: 1;
}

.restNavbar .contactInfo {
    background: linear-gradient(50deg, transparent 10%, var(--primaryColor) 10%, var(--secondaryColor));
    color: var(--secondaryContrast);
    padding: 0.5em 1em;
    text-align: end;
    display: flex;
    align-items: center;
    justify-content: end;
    column-gap: 1.5rem;
    flex-wrap: wrap;
}

.contactInfo .contactItem {
    display: flex;
    align-items: center;
    gap: 6px;
    cursor: pointer;
    color: var(--secondaryContrast);
    font-size: 0.8em;
}

.contactItem img {
    height: 1.5em;
    width: 1.5em
}

.contactItem a {
    text-decoration: none;
    color: var(--secondaryContrast);
}

header nav {
    display: flex;
    justify-content: flex-end;
    padding: 0 1rem;
}

header nav menu {
    margin-block: 0.7em;
    cursor: pointer;
    color: var(--primaryColor);
    font-weight: 400;
    font-family: 'Prompt', sans-serif;
    display: flex;
    justify-content: flex-end;
    padding: 0 1rem;
}

header nav menu li {
    list-style: none;
    position: relative;
}

header nav menu li:not(:last-of-type) {
    margin-right: 1.5rem;
}

nav menu li a {
    text-decoration: none;
    color: inherit;
}

nav menu li a.navButton {
    background: linear-gradient(135deg, var(--primaryColor), var(--secondaryColor));
    color: var(--secondaryContrast);
    padding: 4px 1rem;
    border-radius: 4px;
    font-size: 0.9em;
    outline: 0 solid var(--secondaryColor);
    outline-offset: 0;
}

nav menu li a.navButton:hover {
    outline: 2px solid var(--secondaryColor);
    outline-offset: 2px;
}

header nav menu li:not(:last-of-type)::after {
    content: '';
    height: 2px;
    width: 0;
    position: absolute;
    bottom: -2px;
    left: 50%;
    transform: translateX(-50%);
    background: var(--primaryColor);
    transition: all 300ms ease-in-out;
}

header nav menu li:not(:last-of-type):hover::after {
    width: 110%;
}


.hamburgerMenu {
    display: none;
}

@media (max-width: 600px) {
    header {
        position: relative;
        align-items: center;
    }

    .restNavbar {
        width: 100%;
    }

    header nav {
        display: none;
    }

    .restNavbar .contactInfo {
        background: var(--secondaryColor);
        text-align: end;
        justify-content: center;

    }

    .hamburgerMenu {
        display: flex;
        cursor: pointer;
    }

    .hamburgerMenu svg {
        height: 1.5rem;
    }
}


/*header css end*/


/*aside css*/
aside {
    min-height: 100vh;
    width: 250px;
    background: #cdffe6eb;
    position: fixed;
    top: 0;
    z-index: 999999;
    border-radius: 0 14px 14px 0;
    transform: scaleX(0);
    transition: all 350ms ease-in-out;
    transform-origin: left;
}

aside.open {
    transform: scaleX(1);
}

aside div {
    padding: 2rem 1rem;
}

aside nav {
    margin-top: 3rem;
}

aside menu {
    display: flex;
    flex-direction: column;
    gap: 8px;
    height: 70vh;
}

aside li {
    list-style: none;
}

@media (min-width: 601px) {
    aside {
        display: none;
    }
}


/*home page css*/
.heroSection {
    min-height: min(100vh, 660px);
    background-image: linear-gradient(180deg, var(--secondaryContrast), #02381d50), url("assets/images/bg-1.png");
    background-size: cover;
    /*background-attachment: fixed;*/
    background-repeat: no-repeat;
    display: flex;
    flex-flow: column;
    align-items: center;
    justify-content: flex-end;
    position: relative;
    padding-bottom: 4rem;
}

.heroSection img {
    max-width: 30vw;
    position: absolute;
    left: 50%;
    top: 25%;
    transform: translateX(-50%);
    transform-origin: center;
    /*animation: hoverDrone 1300ms linear infinite;*/
}

@keyframes hoverDrone {
    0% {
        transform: rotate(0deg) translateX(-50%);
        transform-origin: center;
    }
    33% {
        transform: rotate(3deg) translateX(-50%);
        transform-origin: center;
    }
    66% {
        transform: rotate(-3deg) translateX(-50%);
        transform-origin: center;
    }
    100% {
        transform: rotate(0deg) translateX(-50%);
        transform-origin: center;
    }
    /*0% {*/
    /*        transform: translateX(-50%) ;*/
    /*}*/
    /*15% {*/
    /*    transform: translateX(-30%) ;*/
    /*}*/
    /*85% {*/
    /*    transform: translateX(-70%) ;*/
    /*}*/
    /*100% {*/
    /*    transform: translateX(-50%);*/
    /*}*/
}

.heroSection h2 {
    font-size: clamp(1.8rem, 8vw, 3.2rem);
    font-weight: 600;
    color: var(--primaryColor);
}

@media (max-width: 600px) {
    .heroSection {
        min-height: min(80vh, 660px);
    }

    .heroSection img {
        max-width: 85vw;
        top: 30%;
    }
}


.firstSection {
    min-height: min(100vh, 660px);
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 1rem;
}

.firstSection .container {
    display: flex;
    flex-wrap: wrap;
    gap: 1rem;
}

.firstSection .videoBox {
    flex: 1;
    display: flex;
    align-items: center;
}

.firstSection .videoBox video {
    border-radius: 8px;
    box-shadow: 20px -20px 0 var(--secondaryColor);
    width: 85%;
}

@media (max-width: 600px) {
    .firstSection .container {
        flex-flow: column;
    }

    .firstSection .videoBox {
        padding-top: 4rem;
    }
}


.firstSection .contentBox {
    flex: 1;
}

h3 {
    font-size: clamp(1.3rem, 8vw, 2.5rem);
    line-height: clamp(1.6rem, 9vw, 2.8rem);
    font-weight: 500;
    color: var(--secondaryColor);
}


.flexBox {
    display: flex;
    justify-content: center;
    align-items: center;

}

.benefitsSection h3 {
    text-align: center;
    color: var(--secondaryColor);
}


.benefitsPoints, .imageSection {
    flex: 1;
}

.benefitItem {
    margin-bottom: 6rem;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    gap: 1rem;
}

.benefitItem .benefitImage {
    flex: 1;
    display: flex;
    justify-content: center;
    align-items: center;
}

.benefitItem img {
    max-width: 265px;
}

.benefitItem .benefit {
    max-width: 400px;
    flex: 1;
    display: flex;
    flex-flow: column;
    justify-content: center;
}

.benefitsPoints p {
    margin: 0;
}

.benefitsPoints p.title {
    font-weight: 500;
    font-family: 'Prompt', sans-serif;
    color: #248f27;
    margin-left: 1.5em;
    margin-bottom: 1em;
    position: relative;
}

.benefitsPoints p.title::before {
    content: '';
    height: 7px;
    width: 7px;
    background: var(--secondaryColor);
    border-radius: 50%;
    display: inline-flex;
    left: -14px;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    animation: grown 1000ms linear infinite;
}

@media (max-width: 600px) {
    .benefitItem {
        flex-flow: column;
    }

    .benefitItem img {
        order: -1;
    }
}

@keyframes grown {
    0% {
        outline: 1px solid var(--secondaryColor);
        outline-offset: 0;
    }
    100% {
        outline-offset: 10px;
        outline: 2px solid #248f2701;
    }
}

.benefitsPoints p.description {
    font-size: 0.95em;
    max-width: 350px;
    width: 95%;
    border-top: 1px solid #248f27;
    margin-left: 1.5rem;
}


/*gallerySection*/
.galleryBlock {
    padding: 1rem;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 1rem;
    background: linear-gradient(180deg, transparent, #d4e2e8);
}

.galleryBlock img {
    border-radius: 8px;
}

/*contactUsCta css*/
.contactUsCta {
    min-height: min(90vh, 650px);
    display: flex;
    flex-flow: column;
    align-items: center;
    justify-content: center;
    padding: 1rem;
}

.contactUsCta {
    background-image: linear-gradient(180deg, var(--secondaryContrast), #02381d50), url("assets/images/contact-us-illustration.png");
    background-size: cover;
    background-position: bottom center;
    background-attachment: fixed;
    background-repeat: no-repeat;
}

.contactUsCta .illustration {
    padding: 2rem;
    width: 100%;
}

.contactUsCta .illustration h3 {
    max-width: 450px;

}

.contactUsCta button {
    height: 50px;
    width: 165px;
    border-radius: 8px;
    border: none;
    font-size: 20px;
    cursor: pointer;
    background: linear-gradient(135deg, var(--primaryColor), var(--secondaryColor));
    color: var(--secondaryContrast);
    outline: 0 solid var(--secondaryColor);
    outline-offset: 0;
}

.contactUsCta button:hover {
    outline: 2px solid var(--secondaryColor);
    outline-offset: 2px;
}

@media (max-width: 600px) {
    .contactUsCta .illustration {
        text-align: center;
    }
}


/*footer*/
footer {
    width: 100%;
    /*border-top: 2px solid var(--primaryColor);*/
    padding-top: 3rem;
}

.footerContainer {
    display: grid;
    place-items: center;
    text-align: center;
    background: #02381d17;
    width: 95%;
    border-radius: 20px;
    padding: 1rem;
}

footer .footerDes {
    max-width: 500px;
    margin-bottom: 2.5rem;
}

footer img {
    width: 100%;
    max-width: 200px;
}

footer .socialSignals {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 1rem;
}

footer .socialSignals img {
    width: 1.8rem;
    height: 1.8rem;
    background: #02381d;
    border-radius: 50%;
    padding: 6px;
    cursor: pointer;
    transition: all 200ms ease-in-out;
}

.socialSignals img:hover {
    outline: 1px solid #02381d;
    outline-offset: 2px;
}

footer .copyrightText {
    width: 100%;
    padding-top: 0.9em;
    border-top: 1px solid var(--primaryColor);
    font-size: 0.8em;
    color: var(--primaryColor);
    margin-bottom: 0;
}

footer .copyrightText a {
    color: inherit;
    font-weight: 600;
    text-decoration: none;
}

footer .copyrightText a:hover {
    color: var(--primaryColor);
}
